//	LCD print Cu
//	2009/09/04	ver1.00

#ifndef	_PRINTLIB_H_
#define	_PRINTLIB_H_


enum	E_LCD_PRINT
{
	LCD_PRINT_CMD_CLS			= 0x00,
	LCD_PRINT_CMD_SET_POS		= 0x01,
	
	LCD_PRINT_DATA_TYPE_INT8	= 0x11,
	LCD_PRINT_DATA_TYPE_UINT8	= 0x21,
	LCD_PRINT_DATA_TYPE_INT16	= 0x32,
	LCD_PRINT_DATA_TYPE_UINT16	= 0x42,
	LCD_PRINT_DATA_TYPE_CHAR	= 0x51,
	LCD_PRINT_DATA_TYPE_STR		= 0x60
};

void	printlibLcdPrintInit();
void	printlibLcdPrintCls();
//void	printlibLcdPrintSetPos(uint8_t x);
void	printlibLcdPrint1(uint8_t type, uint8_t data);
void	printlibLcdPrint2(uint8_t type, uint16_t data);
void	printlibLcdPrintS(char* s);

#define	LCD_PRINT_HALF_POS	0x40	//lprintSetPos()Ŏg

#define	lprintInit()	printlibLcdPrintInit()
#define	lprintCls()		printlibLcdPrintCls()
#define	lprintSetPos(x)	printlibLcdPrint1(LCD_PRINT_CMD_SET_POS, x)		//x = 0-7, 0x40 + 0-7
//#define	lprintSetPos(x)	printlibLcdPrintSetPos(x)

#define	lprint8(n)		printlibLcdPrint1(LCD_PRINT_DATA_TYPE_INT8, n)
#define	lprintU8(n)		printlibLcdPrint1(LCD_PRINT_DATA_TYPE_UINT8, n)
#define	lprint16(n)		printlibLcdPrint2(LCD_PRINT_DATA_TYPE_INT16, n)
#define	lprintU16(n)	printlibLcdPrint2(LCD_PRINT_DATA_TYPE_UINT16, n)
#define	lprintc(c)		printlibLcdPrint1(LCD_PRINT_DATA_TYPE_CHAR, c)
#define	lprints(s)		printlibLcdPrintS(s)

#define	lprint(n)		lprint16(n)
#define	lprintu(n)		lprintU16(n)


#endif	//_PRINTLIB_H_
